Bug 5780 - Samba does not support the off-laid files on SAMFS
Samba does not support the off-laid files on SAMFS
Status: ASSIGNED
Product: Samba 3.6
Classification: Unclassified
Component: VFS Modules
3.6.1
All Solaris
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 14:01 UTC by Jura Sasek
Modified: 2013-02-18 13:30 UTC (History)
4 users (show)

See Also:


Attachments
patch developed by Michael Adam remade a bit for 3.0.32 by Jiri Sasek (12.74 KB, patch)
2008-09-22 14:09 UTC, Jura Sasek
no flags Details
SAM-QFS offline (laid off) files support (13.08 KB, patch)
2009-01-11 18:59 UTC, Jura Sasek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jura Sasek 2008-09-22 14:01:30 UTC
Opening of the file is timing out on off-laid files. Samba should apply no-timeout policy on SAM-QFS files which should be moved from the external media to hard disk first than it could be accessed.
Comment 1 Jura Sasek 2008-09-22 14:09:49 UTC
Created attachment 3610 [details]
patch developed by Michael Adam remade a bit for 3.0.32 by Jiri Sasek
Comment 2 Michael Adam 2008-09-22 15:08:22 UTC
Hi Jiri,

nice that this issue pops up again.
The only reason that the patch did not make it upstream yet
is that it makes Samba link against proprietory libsamfs.

Has the license of libsamfs changed in the meantime?

Cheers - Michael
Comment 3 Jura Sasek 2008-09-22 15:42:11 UTC
Hi Michal

Copyright will be surely the problem. SAM-QFS release for the (Open)Solaris is planed for the end of this year and the release for the Linux is planed for March/09. If there will be also the open-sourcing release I can only hope but I am even afraid of to guess if it will be released under the GPLv<something> or other license. So if GPLv2 (samba 3.0) allows to link against either the system libraries or to (L)GPL libraries I suppose the licensing problem here till the end of the year in Solaris. I am not a lawyer to be able to estimate all of the licensing issues releasing the SAM-QFS under the Linux. I will need to ask to someone of legals first of all in such case.
Comment 4 Jura Sasek 2009-01-11 18:59:41 UTC
Created attachment 3866 [details]
SAM-QFS offline (laid off) files support
Comment 5 Jeremy Allison 2009-01-11 20:10:57 UTC
Hi Jiri, is libsamfs now GPLv3 compatible ?

(We'll also have to remove the pstrings in the patch, that data type doesn't exist anymore :-).
Comment 6 Jura Sasek 2009-01-12 04:55:21 UTC
This samba patch requires the LibSAM interface released under the LGPLv2.1 as can be seen from here:
http://www.opensolaris.org/os/project/samqfs/sourcecode/

Looking on the licenses compatibility matrix here:
http://gplv3.fsf.org/dd3-faq

can be seen the GPLv3 project is OK to be linked with the LGPLv2.1 library.

Also the GPLv2 code is OK to be linked with the LGPLv2.1 library.

Please note: this patch is released under the GPLv2 and later and under the GPLv3 and later to be able to be applied on the samba 3.2.x and also on the samba 3.0.x
Comment 7 Michael Adam 2009-01-12 06:55:51 UTC
Hi Jiri,

I am going to review this.

Am I right in that the attached patch is still basically my original patch?

I will have to modify the code to match the modified infrastructure in
the master branch first. This will definitely _not_ go into 3.0 since it
is a new feature.

I think I will need to rework this: the vfs layer now has support for offline information, so there is technically no need any more to use the dos attributes.

But this can be a second step.

More later - Cheers, Michael
Comment 8 Björn Jacke 2011-10-24 13:41:16 UTC
Jiri: I think the license terms alone are not yet sufficient for this to go upstream in Samba:

<quote>
LibSAM is also provided under the GNU Lesser General Public License (GNU LGPLv2.1) per request.
</quote>

Until now there has been no request and thus this is still not LGPL for us at all.

Simo, can you tell, what would be required to get in integration of LibSAM being accepted in Samba upstream?
Comment 9 Simo Sorce 2011-10-24 14:10:27 UTC
(In reply to comment #8)
> Jiri: I think the license terms alone are not yet sufficient for this to go
> upstream in Samba:
> 
> <quote>
> LibSAM is also provided under the GNU Lesser General Public License (GNU
> LGPLv2.1) per request.
> </quote>
> 
> Until now there has been no request and thus this is still not LGPL for us at
> all.
> 
> Simo, can you tell, what would be required to get in integration of LibSAM
> being accepted in Samba upstream?

at the very least LGPLv2.1 or later, better if straight LGPLv3.
The fact the library can be obtain with that license on request is not a big a too big problem.

Although I think I would be more comfortable if whoever wants to push this patch does actually request it and obtain it under the required license. Ideally we would also put the correctly licensed source on samba.org and point at that one as the only viable one.

That said Oracle seem to have killed OpenSolaris, so I wonder if the offer to get the library under the LGPL license is still valid.
Comment 10 Nils Goroll 2011-10-24 15:25:40 UTC
I've asked on the appropriate mailing list if anyone is interested in looking after getting the license

http://mail.opensolaris.org/pipermail/sam-qfs-discuss/2011-October/001228.html